Bug 1805337 - ed-1.17 is available
Summary: ed-1.17 is available
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: ed
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Karsten
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-20 16:51 UTC by Upstream Release Monitoring
Modified: 2021-03-09 12:34 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---


Attachments (Terms of Use)

Description Upstream Release Monitoring 2020-02-20 16:51:05 UTC
Latest upstream release: 1.16
Current version/release in rawhide: 1.14.2-8.fc32
URL: http://www.gnu.org/software/ed/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/659/

Comment 1 Upstream Release Monitoring 2020-02-20 16:51:11 UTC
The following Sources of the specfile are not valid URLs so we cannot automatically build the new version for you.  Please use URLs in your Source declarations if possible.

- ed-1.16.tar.xz

Comment 2 Fedora Admin user for bugzilla script actions 2020-07-05 14:50:17 UTC
This package has changed maintainer in the Fedora.
Reassigning to the new maintainer of this component.

Comment 3 Upstream Release Monitoring 2021-01-11 18:30:59 UTC
Latest upstream release: 1.17
Current version/release in rawhide: 1.14.2-9.fc33
URL: http://www.gnu.org/software/ed/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/659/

Comment 4 Upstream Release Monitoring 2021-01-11 18:31:05 UTC
Skipping the scratch build because an SRPM could not be built: ['rpmbuild', '-D', '_sourcedir .', '-D', '_topdir .', '-bs', '/var/tmp/thn-tzt2hwa8/ed.spec'] returned 1: b'warning: Macro expanded in comment on line 8: %{name}-%{version}.tar.lz\n\nerror: Bad source: ./ed-1.17.tar.xz: No such file or directory\n'

Comment 5 Xose Vazquez Perez 2021-03-09 12:34:44 UTC
(In reply to Upstream Release Monitoring from comment #3)

> Latest upstream release: 1.17
> Current version/release in rawhide: 1.14.2-9.fc33
> URL: http://www.gnu.org/software/ed/
> Based on the information from anitya: https://release-monitoring.org/project/659/

- Changes in version 1.15:
  =======================
The list command has been fixed to print a backslash before every '$'
character within the text. (Reported by Ori Avtalion).

Address ',,' has been fixed to mean '$,$' instead of '1,$'.
(Reported by Matthieu Felix).

A 's' command that is part of a 'g' or 'v' command-list can again split
a line by including a newline escaped with a backslash '\' in the
replacement string. For this to work, the closing delimiter of the
replacement string can't be omitted unless the 's' command is the last
command in the list, because otherwise the meaning of the escaped
newline would become ambiguous.

Following a recent change in the POSIX standard, the 'c' command no
longer accepts an address of 0, and the documentation for the 'i'
command now explains that it treats address 0 as meaning "at the
beginning of the buffer", instead of as a synonym for address 1.

Minor fixes have been made to the manual.

The configure script now accepts appending options to CFLAGS using the
syntax 'CFLAGS+=OPTIONS'.

- Changes in version 1.16:
  =======================
The substitute command no longer complains about an 'Infinite substitution
loop' with a substitution like 's/^/#/g'. (Reported by Bjoern Wibben).

The length limit of the prompt string has been removed.
(Reported by Tim Chase).

It has been documented in the manual that extended regular expression
operators may be unavailable depending on the particular regex
implementation in the system running ed. (Reported by Brian Zwahr).

Several fixes and improvements have been made to the manual.

- Changes in version 1.17:
  =======================

The commands 'q' and 'Q' now work in a global command.
(Reported by J. A. Harris).

The new option '-E, --extended-regexp' has been added. It tells ed to use
extended regular expressions instead of the basic regular expressions
mandated by POSIX. (Suggested by Shawn Wagner).

Print the file name in case of read or write error. (Reported by Dan Jacobson).


Note You need to log in before you can comment on or make changes to this bug.